## kodi-pvr-hts 2.1.18

=== CMakeLists.txt ===
project(pvr.hts)

cmake_minimum_required(VERSION 2.6)

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/lib)

add_definitions(-DUSE_DEMUX)

# Sources and headers
set(HTS_SOURCES src/AsyncState.cpp
                src/AsyncState.h
                src/client.h
                src/client.cpp
                src/HTSPConnection.cpp
                src/HTSPDemuxer.cpp
                src/HTSPTypes.h
                src/HTSPTypes.cpp
                src/HTSPVFS.cpp
                src/Settings.h
                src/Tvheadend.cpp
                src/Tvheadend.h
                src/xbmc_codec_descriptor.hpp)
                
source_group("Source Files" FILES ${HTS_SOURCES})

# Resource files
set(HTS_RESOURCES 
                README.md
                pvr.hts/addon.xml
                pvr.hts/changelog.txt
                pvr.hts/icon.png
                pvr.hts/resources/settings.xml
                pvr.hts/resources/language/resource.language.en_gb/strings.po)
                
source_group("Resource Files" FILES ${HTS_RESOURCES})

# Combine the file lists
list(APPEND HTS_SOURCES
            ${HTS_RESOURCES})

add_subdirectory(lib/libhts)

set(DEPLIBS ${platform_LIBRARIES} hts)
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

build_addon(pvr.hts HTS DEPLIBS)

include(CPack)

=== lib/libhts/CMakeLists.txt ===
PROJECT(hts)

ENABLE_LANGUAGE(C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(SOURCES htsbuf.c
            htsmsg_binary.c
            htsmsg.c
            htsstr.c
            sha1.c)
if(WIN32)
  LIST(APPEND SOURCES net_winsock.c)

  include_directories("${PROJECT_SOURCE_DIR}/Win32/include")
else()
  LIST(APPEND SOURCES net_posix.c)

  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fPIC")
endif()

ADD_DEFINITIONS(-D_GNU_SOURCE)

ADD_LIBRARY(hts STATIC ${SOURCES})

=== debian/changelog ===
kodi-pvr-hts (2.1.18-1) unstable; urgency=medium

  * Initial release (replaces xbmc-pvr-addons / xbmc-pvr-tvheadend-hts)

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Nov 2015 21:28:14 +0100

=== debian/control ===
Source: kodi-pvr-hts
Priority: extra
Section: video
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 9~),
 cmake,
 libkodiplatform-dev (>= 16.0.0),
 kodi-addons-dev (>= 15.1+dfsg1-4)
Standards-Version: 3.9.6
Homepage: https://github.com/kodi-pvr/pvr.hts
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-hts.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-hts.git

Package: kodi-pvr-hts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 15.1+dfsg1-4)
Replaces: xbmc-pvr-tvheadend-hts
Enhances: kodi
Description: Kodi PVR Addon TvHeadend Hts
 This package contains the TvHeadend PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DBUILD_SHARED_LIBS=1 \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)/kodi

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-hts

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-hts 2.2.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,21 +16,63 @@
 add_definitions(-DUSE_DEMUX)
 
 # Sources and headers
-set(HTS_SOURCES src/AsyncState.cpp
-                src/AsyncState.h
-                src/client.h
+set(HTS_SOURCES src/client.h
                 src/client.cpp
                 src/HTSPConnection.cpp
                 src/HTSPDemuxer.cpp
                 src/HTSPTypes.h
-                src/HTSPTypes.cpp
                 src/HTSPVFS.cpp
-                src/Settings.h
                 src/Tvheadend.cpp
                 src/Tvheadend.h
+                src/TimeRecordings.cpp
+                src/TimeRecordings.h
+                src/AutoRecordings.cpp
+                src/AutoRecordings.h
                 src/xbmc_codec_descriptor.hpp)
+
+set(HTS_SOURCES_TVHEADEND
+                src/tvheadend/Profile.h
+                src/tvheadend/Settings.cpp
+                src/tvheadend/Settings.h
+                src/tvheadend/ChannelTuningPredictor.h
+                src/tvheadend/ChannelTuningPredictor.cpp
+                src/tvheadend/Subscription.cpp
+                src/tvheadend/Subscription.h)
+
+set(HTS_SOURCES_TVHEADEND_ENTITY
+                src/tvheadend/entity/AutoRecording.h
+                src/tvheadend/entity/AutoRecording.cpp
+                src/tvheadend/entity/Channel.h
+                src/tvheadend/entity/Entity.h
+                src/tvheadend/entity/Event.h
+                src/tvheadend/entity/Recording.h
+                src/tvheadend/entity/RecordingBase.h
+                src/tvheadend/entity/RecordingBase.cpp
+                src/tvheadend/entity/Schedule.h
+                src/tvheadend/entity/Schedule.cpp
+                src/tvheadend/entity/Tag.h
+                src/tvheadend/entity/Tag.cpp
+                src/tvheadend/entity/TimeRecording.h
+                src/tvheadend/entity/TimeRecording.cpp)
+
+set(HTS_SOURCES_TVHEADEND_STATUS
+                src/tvheadend/status/Quality.h
+                src/tvheadend/status/QueueStatus.h
+                src/tvheadend/status/SourceInfo.h
+                src/tvheadend/status/TimeshiftStatus.h)
+
+set(HTS_SOURCES_TVHEADEND_UTILITIES
+                src/tvheadend/utilities/Utilities.h
+                src/tvheadend/utilities/Logger.h
+                src/tvheadend/utilities/Logger.cpp
+                src/tvheadend/utilities/AsyncState.cpp
+                src/tvheadend/utilities/AsyncState.h)
                 
 source_group("Source Files" FILES ${HTS_SOURCES})
+source_group("Source Files\\tvheadend" FILES ${HTS_SOURCES_TVHEADEND})
+source_group("Source Files\\tvheadend\\entity" FILES ${HTS_SOURCES_TVHEADEND_ENTITY})
+source_group("Source Files\\tvheadend\\status" FILES ${HTS_SOURCES_TVHEADEND_STATUS})
+source_group("Source Files\\tvheadend\\utilities" FILES ${HTS_SOURCES_TVHEADEND_UTILITIES})
 
 # Resource files
 set(HTS_RESOURCES 
@@ -45,6 +87,10 @@
 
 # Combine the file lists
 list(APPEND HTS_SOURCES
+            ${HTS_SOURCES_TVHEADEND}
+            ${HTS_SOURCES_TVHEADEND_ENTITY}
+            ${HTS_SOURCES_TVHEADEND_STATUS}
+            ${HTS_SOURCES_TVHEADEND_UTILITIES}
             ${HTS_RESOURCES})
 
 add_subdirectory(lib/libhts)

=== debian/changelog ===
kodi-pvr-hts (2.2.14-1) unstable; urgency=medium

  * New upstream release
  * Now using libkodiplatform > 17.0.0 and libp8-platform (instead of
    libcec-platform)

 -- Tobias Grimm <etobi@debian.org>  Fri, 04 Mar 2016 12:22:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Tobias Grimm <etobi@debian.org>
 Build-Depends: debhelper (>= 9~),
  cmake,
- libkodiplatform-dev (>= 16.0.0),
- kodi-addons-dev (>= 15.1+dfsg1-4)
+ libkodiplatform-dev (>= 17.0.0),
+ libp8-platform-dev,
+ kodi-addons-dev (>= 16),
 Standards-Version: 3.9.6
 Homepage: https://github.com/kodi-pvr/pvr.hts
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-hts.git

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n
+
+override_dh_clean:
+	dh_clean pvr.vdr.vnsi/addon.xml

## kodi-pvr-hts 3.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}
                     ${PROJECT_SOURCE_DIR}/lib)
 
@@ -95,7 +95,7 @@
 
 add_subdirectory(lib/libhts)
 
-set(DEPLIBS ${platform_LIBRARIES} hts)
+set(DEPLIBS ${p8-platform_LIBRARIES} hts)
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)
 endif()

=== debian/changelog ===
kodi-pvr-hts (3.4.13-1) unstable; urgency=medium

  * New upstream version 3.4.13
  * Depend on PVR API version of Kodi we built the addon with

 -- Tobias Grimm <etobi@debian.org>  Wed, 28 Dec 2016 10:55:43 +0100

kodi-pvr-hts (3.4.7+git20161104-1) unstable; urgency=medium

  * New upstream version
  * Build-depend on libkodiplatform-dev (>= 17.1.0) and
    kodi-addons-dev (>= 17.0~beta3+dfsg1-2)
  * Dropped obsolete libcec-platform.patch
  * Standards version 3.9.8
  * Updated kodi dependency

 -- Tobias Grimm <etobi@debian.org>  Fri, 04 Nov 2016 20:28:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Tobias Grimm <etobi@debian.org>
 Build-Depends: debhelper (>= 9~),
  cmake,
- libkodiplatform-dev (>= 17.0.0),
+ libkodiplatform-dev (>= 17.1.0),
  libp8-platform-dev,
- kodi-addons-dev (>= 16),
-Standards-Version: 3.9.6
+ kodi-addons-dev (>= 17.0~beta6~)
+Standards-Version: 3.9.8
 Homepage: https://github.com/kodi-pvr/pvr.hts
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-hts.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-hts.git
 
 Package: kodi-pvr-hts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 15.1+dfsg1-4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
 Replaces: xbmc-pvr-tvheadend-hts
 Enhances: kodi
 Description: Kodi PVR Addon TvHeadend Hts

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## kodi-pvr-hts 4.4.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
+cmake_minimum_required(VERSION 3.5)
 project(pvr.hts)
-
-cmake_minimum_required(VERSION 2.6)
-
-enable_language(CXX)
 
 find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
@@ -10,7 +7,7 @@
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
                     ${p8-platform_INCLUDE_DIRS}
-                    ${KODI_INCLUDE_DIR}
+                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR}/lib)
 
 add_definitions(-DUSE_DEMUX)
@@ -18,26 +15,31 @@
 # Sources and headers
 set(HTS_SOURCES src/client.h
                 src/client.cpp
-                src/HTSPConnection.cpp
-                src/HTSPDemuxer.cpp
-                src/HTSPTypes.h
-                src/HTSPVFS.cpp
                 src/Tvheadend.cpp
-                src/Tvheadend.h
-                src/TimeRecordings.cpp
-                src/TimeRecordings.h
-                src/AutoRecordings.cpp
-                src/AutoRecordings.h
-                src/xbmc_codec_descriptor.hpp)
+                src/Tvheadend.h)
 
 set(HTS_SOURCES_TVHEADEND
+                src/tvheadend/AutoRecordings.cpp
+                src/tvheadend/AutoRecordings.h
+                src/tvheadend/ChannelTuningPredictor.h
+                src/tvheadend/ChannelTuningPredictor.cpp
+                src/tvheadend/HTSPConnection.h
+                src/tvheadend/HTSPConnection.cpp
+                src/tvheadend/HTSPDemuxer.h
+                src/tvheadend/HTSPDemuxer.cpp
+                src/tvheadend/HTSPMessage.h
+                src/tvheadend/HTSPTypes.h
+                src/tvheadend/HTSPVFS.h
+                src/tvheadend/HTSPVFS.cpp
+                src/tvheadend/IHTSPConnectionListener.h
                 src/tvheadend/Profile.h
                 src/tvheadend/Settings.cpp
                 src/tvheadend/Settings.h
-                src/tvheadend/ChannelTuningPredictor.h
-                src/tvheadend/ChannelTuningPredictor.cpp
                 src/tvheadend/Subscription.cpp
-                src/tvheadend/Subscription.h)
+                src/tvheadend/Subscription.h
+                src/tvheadend/TimeRecordings.cpp
+                src/tvheadend/TimeRecordings.h
+                src/tvheadend/xbmc_codec_descriptor.hpp)
 
 set(HTS_SOURCES_TVHEADEND_ENTITY
                 src/tvheadend/entity/AutoRecording.h
@@ -45,6 +47,7 @@
                 src/tvheadend/entity/Channel.h
                 src/tvheadend/entity/Entity.h
                 src/tvheadend/entity/Event.h
+                src/tvheadend/entity/Event.cpp
                 src/tvheadend/entity/Recording.h
                 src/tvheadend/entity/RecordingBase.h
                 src/tvheadend/entity/RecordingBase.cpp
@@ -56,6 +59,8 @@
                 src/tvheadend/entity/TimeRecording.cpp)
 
 set(HTS_SOURCES_TVHEADEND_STATUS
+                src/tvheadend/status/DescrambleInfo.h
+                src/tvheadend/status/DescrambleInfo.cpp
                 src/tvheadend/status/Quality.h
                 src/tvheadend/status/QueueStatus.h
                 src/tvheadend/status/SourceInfo.h
@@ -65,6 +70,8 @@
                 src/tvheadend/utilities/Utilities.h
                 src/tvheadend/utilities/Logger.h
                 src/tvheadend/utilities/Logger.cpp
+                src/tvheadend/utilities/LocalizedString.h
+                src/tvheadend/utilities/LifetimeMapper.h
                 src/tvheadend/utilities/AsyncState.cpp
                 src/tvheadend/utilities/AsyncState.h)
                 
@@ -90,8 +97,7 @@
             ${HTS_SOURCES_TVHEADEND}
             ${HTS_SOURCES_TVHEADEND_ENTITY}
             ${HTS_SOURCES_TVHEADEND_STATUS}
-            ${HTS_SOURCES_TVHEADEND_UTILITIES}
-            ${HTS_RESOURCES})
+            ${HTS_SOURCES_TVHEADEND_UTILITIES})
 
 add_subdirectory(lib/libhts)

=== debian/changelog ===
kodi-pvr-hts (4.4.20-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Balint Reczey ]
  * Add debian/watch file
  * Add basic Salsa CI configuration
  * Bump build dependency version of kodi-addons-dev and libkodiplatform-dev
  * New upstream version 4.4.20

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:25 +0100

=== debian/control ===
Source: kodi-pvr-hts
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 9),
               cmake,
               libkodiplatform-dev (>= 20180302),
               libp8-platform-dev,
               kodi-addons-dev (>= 2:18~)
Standards-Version: 3.9.8
Homepage: https://github.com/kodi-pvr/pvr.hts
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-hts.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-hts

Package: kodi-pvr-hts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
Replaces: xbmc-pvr-tvheadend-hts
Enhances: kodi
Description: Kodi PVR Addon TvHeadend Hts
 This package contains the TvHeadend PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.hts/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-hts 8.2.2+ds1

=== debian/changelog ===
kodi-pvr-hts (8.2.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 14:46:54 +0000

kodi-pvr-hts (8.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.1+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:56 +0000

kodi-pvr-hts (8.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.2+ds1 (Closes: #978076)
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Dec 2020 15:52:15 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hts/releases \
/kodi-pvr/pvr.hts/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-hts 8.3.0%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hts/releases \
/kodi-pvr/pvr.hts/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-hts 8.3.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,15 @@
 project(pvr.hts)
 
 find_package(Kodi REQUIRED)
-find_package(kodiplatform REQUIRED)
-find_package(p8-platform REQUIRED)
 
-include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${p8-platform_INCLUDE_DIRS}
-                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
+set(CMAKE_CXX_STANDARD 17)
+
+include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR}/lib)
 
-add_definitions(-DUSE_DEMUX)
-
 # Sources and headers
-set(HTS_SOURCES src/client.h
-                src/client.cpp
+set(HTS_SOURCES src/addon.h
+                src/addon.cpp
                 src/Tvheadend.cpp
                 src/Tvheadend.h)
 
@@ -32,14 +28,14 @@
                 src/tvheadend/HTSPVFS.h
                 src/tvheadend/HTSPVFS.cpp
                 src/tvheadend/IHTSPConnectionListener.h
+                src/tvheadend/IHTSPDemuxPacketHandler.h
                 src/tvheadend/Profile.h
                 src/tvheadend/Settings.cpp
                 src/tvheadend/Settings.h
                 src/tvheadend/Subscription.cpp
                 src/tvheadend/Subscription.h
                 src/tvheadend/TimeRecordings.cpp
-                src/tvheadend/TimeRecordings.h
-                src/tvheadend/xbmc_codec_descriptor.hpp)
+                src/tvheadend/TimeRecordings.h)
 
 set(HTS_SOURCES_TVHEADEND_ENTITY
                 src/tvheadend/entity/AutoRecording.h
@@ -70,11 +66,13 @@
                 src/tvheadend/utilities/Utilities.h
                 src/tvheadend/utilities/Logger.h
                 src/tvheadend/utilities/Logger.cpp
-                src/tvheadend/utilities/LocalizedString.h
                 src/tvheadend/utilities/LifetimeMapper.h
                 src/tvheadend/utilities/AsyncState.cpp
-                src/tvheadend/utilities/AsyncState.h)
-                
+                src/tvheadend/utilities/AsyncState.h
+                src/tvheadend/utilities/SyncedBuffer.h
+                src/tvheadend/utilities/TCPSocket.h
+                src/tvheadend/utilities/TCPSocket.cpp)
+
 source_group("Source Files" FILES ${HTS_SOURCES})
 source_group("Source Files\\tvheadend" FILES ${HTS_SOURCES_TVHEADEND})
 source_group("Source Files\\tvheadend\\entity" FILES ${HTS_SOURCES_TVHEADEND_ENTITY})
@@ -82,14 +80,14 @@
 source_group("Source Files\\tvheadend\\utilities" FILES ${HTS_SOURCES_TVHEADEND_UTILITIES})
 
 # Resource files
-set(HTS_RESOURCES 
+set(HTS_RESOURCES
                 README.md
                 pvr.hts/addon.xml
                 pvr.hts/changelog.txt
                 pvr.hts/icon.png
                 pvr.hts/resources/settings.xml
                 pvr.hts/resources/language/resource.language.en_gb/strings.po)
-                
+
 source_group("Resource Files" FILES ${HTS_RESOURCES})
 
 # Combine the file lists
@@ -99,12 +97,10 @@
             ${HTS_SOURCES_TVHEADEND_STATUS}
             ${HTS_SOURCES_TVHEADEND_UTILITIES})
 
-add_subdirectory(lib/libhts)
+add_subdirectory(lib/libhts
+                 lib/kissnet)
 
-set(DEPLIBS ${p8-platform_LIBRARIES} hts)
-if(WIN32)
-  list(APPEND DEPLIBS ws2_32)
-endif()
+set(DEPLIBS hts)
 
 build_addon(pvr.hts HTS DEPLIBS)

=== debian/changelog ===
kodi-pvr-hts (8.3.0+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:44:50 -0700

kodi-pvr-hts (8.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.3.0+ds1
  * Fix github ref

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 22:06:28 +0000

=== debian/control ===
Source: kodi-pvr-hts
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake, dh-sequence-kodiaddon, kodi-addons-dev (>= 2:19~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts.git
Homepage: https://kodi.tv/

Package: kodi-pvr-hts
Architecture: any
Depends: ${kodi:GUILIBAPI}, ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Replaces: xbmc-pvr-tvheadend-hts
Enhances: kodi
Description: Kodi PVR Addon TvHeadend Hts
 This package contains the TvHeadend PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

## kodi-pvr-hts 19.0.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,39 @@
                 src/addon.cpp
                 src/Tvheadend.cpp
                 src/Tvheadend.h)
+
+set(HTS_SOURCES_AAC
+                src/aac/BitStream.cpp
+                src/aac/BitStream.h
+                src/aac/Decoder.cpp
+                src/aac/Decoder.h
+                src/aac/Profile.h
+                src/aac/SampleFrequency.h)
+
+set(HTS_SOURCES_AAC_ELEMENTS
+                src/aac/elements/CCE.cpp
+                src/aac/elements/CCE.h
+                src/aac/elements/CPE.cpp
+                src/aac/elements/CPE.h
+                src/aac/elements/DSE.cpp
+                src/aac/elements/DSE.h
+                src/aac/elements/FIL.cpp
+                src/aac/elements/FIL.h
+                src/aac/elements/ICS.cpp
+                src/aac/elements/ICS.h
+                src/aac/elements/ICSInfo.cpp
+                src/aac/elements/ICSInfo.h
+                src/aac/elements/LFE.cpp
+                src/aac/elements/LFE.h
+                src/aac/elements/PCE.cpp
+                src/aac/elements/PCE.h
+                src/aac/elements/SCE.cpp
+                src/aac/elements/SCE.h)
+
+set(HTS_SOURCES_AAC_HUFFMAN
+                src/aac/huffman/Codebooks.h
+                src/aac/huffman/Decoder.cpp
+                src/aac/huffman/Decoder.h)
 
 set(HTS_SOURCES_TVHEADEND
                 src/tvheadend/AutoRecordings.cpp
@@ -69,11 +102,16 @@
                 src/tvheadend/utilities/LifetimeMapper.h
                 src/tvheadend/utilities/AsyncState.cpp
                 src/tvheadend/utilities/AsyncState.h
+                src/tvheadend/utilities/RDSExtractor.h
+                src/tvheadend/utilities/RDSExtractor.cpp
                 src/tvheadend/utilities/SyncedBuffer.h
                 src/tvheadend/utilities/TCPSocket.h
                 src/tvheadend/utilities/TCPSocket.cpp)
 
 source_group("Source Files" FILES ${HTS_SOURCES})
+source_group("Source Files\\aac" FILES ${HTS_SOURCES_AAC})
+source_group("Source Files\\aac\\elements" FILES ${HTS_SOURCES_AAC_ELEMENTS})
+source_group("Source Files\\aac\\huffman" FILES ${HTS_SOURCES_AAC_HUFFMAN})
 source_group("Source Files\\tvheadend" FILES ${HTS_SOURCES_TVHEADEND})
 source_group("Source Files\\tvheadend\\entity" FILES ${HTS_SOURCES_TVHEADEND_ENTITY})
 source_group("Source Files\\tvheadend\\status" FILES ${HTS_SOURCES_TVHEADEND_STATUS})
@@ -92,6 +130,9 @@
 
 # Combine the file lists
 list(APPEND HTS_SOURCES
+            ${HTS_SOURCES_AAC}
+            ${HTS_SOURCES_AAC_ELEMENTS}
+            ${HTS_SOURCES_AAC_HUFFMAN}
             ${HTS_SOURCES_TVHEADEND}
             ${HTS_SOURCES_TVHEADEND_ENTITY}
             ${HTS_SOURCES_TVHEADEND_STATUS}

=== debian/changelog ===
kodi-pvr-hts (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 28 Oct 2021 11:25:24 +0000

kodi-pvr-hts (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:47 +0000

kodi-pvr-hts (8.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.4.0+ds1
  * Bump standard version (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Aug 2021 14:53:47 +0000

kodi-pvr-hts (8.3.4+ds1-1) unstable; urgency=medium

  * New upstream version 8.3.4+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:31:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake, dh-sequence-kodiaddon, kodi-addons-dev (>= 2:19~)
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+ cmake,
+ kodi-addons-dev (>= 2:19~)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts.git
@@ -13,7 +15,10 @@
 
 Package: kodi-pvr-hts
 Architecture: any
-Depends: ${kodi:GUILIBAPI}, ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:GUILIBAPI},
+         ${kodi:PVRAPI}
 Replaces: xbmc-pvr-tvheadend-hts
 Enhances: kodi
 Description: Kodi PVR Addon TvHeadend Hts

## kodi-pvr-hts 19.0.6%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hts/releases \
/kodi-pvr/pvr.hts/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-hts 19.0.6+ds1

=== debian/changelog ===
kodi-pvr-hts (19.0.6+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:44 +0000

kodi-pvr-hts (19.0.6+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.6+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:54 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts

## kodi-pvr-hts 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-hts (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:42 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hts/releases \
/kodi-pvr/pvr.hts/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-hts 20.6.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts.git

## kodi-pvr-hts 20.6.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,8 @@
                 src/aac/huffman/Decoder.h)
 
 set(HTS_SOURCES_TVHEADEND
+                src/tvheadend/AddonSettings.cpp 
+                src/tvheadend/AddonSettings.h   
                 src/tvheadend/AutoRecordings.cpp
                 src/tvheadend/AutoRecordings.h
                 src/tvheadend/ChannelTuningPredictor.h
@@ -60,11 +62,11 @@
                 src/tvheadend/HTSPTypes.h
                 src/tvheadend/HTSPVFS.h
                 src/tvheadend/HTSPVFS.cpp
+                src/tvheadend/InstanceSettings.h
+                src/tvheadend/InstanceSettings.cpp
                 src/tvheadend/IHTSPConnectionListener.h
                 src/tvheadend/IHTSPDemuxPacketHandler.h
                 src/tvheadend/Profile.h
-                src/tvheadend/Settings.cpp
-                src/tvheadend/Settings.h
                 src/tvheadend/Subscription.cpp
                 src/tvheadend/Subscription.h
                 src/tvheadend/TimeRecordings.cpp
@@ -106,7 +108,9 @@
                 src/tvheadend/utilities/RDSExtractor.cpp
                 src/tvheadend/utilities/SyncedBuffer.h
                 src/tvheadend/utilities/TCPSocket.h
-                src/tvheadend/utilities/TCPSocket.cpp)
+                src/tvheadend/utilities/TCPSocket.cpp
+                src/tvheadend/utilities/SettingsMigration.h
+                src/tvheadend/utilities/SettingsMigration.cpp)
 
 source_group("Source Files" FILES ${HTS_SOURCES})
 source_group("Source Files\\aac" FILES ${HTS_SOURCES_AAC})

=== debian/changelog ===
kodi-pvr-hts (20.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.6.0+ds1
  * Fix lintian warnings
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:36 +0000

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hts \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-hts 20.7.0%2Bds

=== debian/changelog ===
kodi-pvr-hts (20.7.0+ds-1) unstable; urgency=medium

  * New upstream version 20.7.0+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:32 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts.git

## kodi-pvr-hts 20.7.2+ds

=== lib/libhts/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
+cmake_minimum_required(VERSION 3.5)
 PROJECT(hts)
-
-ENABLE_LANGUAGE(C)
-
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 SET(SOURCES htsbuf.c
             htsmsg_binary.c

=== debian/changelog ===
kodi-pvr-hts (20.7.2+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:36:03 +1100

kodi-pvr-hts (20.7.2+ds-1) unstable; urgency=medium

  * New upstream version 20.7.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 05 Mar 2024 17:01:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kodi-pvr-hts
 Priority: optional
 Section: video
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.hts \

## kodi-pvr-hts 21.2.5+ds

=== debian/changelog ===
kodi-pvr-hts (21.2.5+ds-1) unstable; urgency=medium

  * New upstream version 21.2.5+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:11 +0000

kodi-pvr-hts (21.2.1+ds-1) experimental; urgency=medium

  * New upstream version 21.2.1+ds
  * Branch out experimental
  * Modernize package
  * New release 20.3.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:00 +0000

=== debian/watch ===
--- 
+++ 
@@ -10,5 +10,5 @@
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.hts \
-refs/tags/@ANY_VERSION@-Nexus \
+refs/tags/@ANY_VERSION@-Omega \
 debian

## kodi-pvr-hts 21.2.6+ds

=== debian/changelog ===
kodi-pvr-hts (21.2.6+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1097073)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 21:46:57 +0300

kodi-pvr-hts (21.2.6+ds-1) unstable; urgency=high

  * New upstream version 21.2.6+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:52 +0000

kodi-pvr-hts (21.2.5+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-pvr-hts
 Priority: optional
 Section: video
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hts.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-hts

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hts \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
